path: /build/build/pyclip-dev-python-0.7.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/pyclip -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/pyclip
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/pyclip && luet-portage --dir /pkgdir/pyclip
    dev-python/pyclip && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:0fdcf6601837afe48fd954ce7775dada6553fe2c0876b024fa8867707bddb967
  package:
    name: pyclip
    version: 0.7.0
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Cross-platform Clipboard module for Python with binary support
    uri:
    - https://github.com/spyoungtech/pyclip https://pypi.org/project/pyclip/
    license: Apache-2.0
    buildtimestamp: 2024-03-12 21:10:05.056132475 +0000 UTC m=+188.685444737
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/pyclip
      kit: geaaru-kit
      original.package.name: dev-python/pyclip
      original.package.slot: "0"
      original.package.version: 0.7.0
    treedir: /build/packages
  package_dir: /pkgdir/pyclip
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b4f03e65113d8e205928f6bec0c31d0d48222921fd13e49ae7bb76f8541c3391
compressiontype: zstd
files:
- usr/bin/pyclip
- usr/lib/python-exec/python3.9/pyclip
- usr/lib/python3.9/site-packages/pyclip/__init__.py
- usr/lib/python3.9/site-packages/pyclip/__main__.py
- usr/lib/python3.9/site-packages/pyclip/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/__main__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/__main__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/__main__.cpython-39.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/base.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/base.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/base.cpython-39.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/cli.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/cli.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/cli.cpython-39.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/macos_clip.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/macos_clip.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/macos_clip.cpython-39.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/util.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/util.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/util.cpython-39.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/wayland_clip.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/wayland_clip.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/wayland_clip.cpython-39.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/win_clip.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/win_clip.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/win_clip.cpython-39.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/xclip_clip.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/xclip_clip.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pyclip/__pycache__/xclip_clip.cpython-39.pyc
- usr/lib/python3.9/site-packages/pyclip/base.py
- usr/lib/python3.9/site-packages/pyclip/cli.py
- usr/lib/python3.9/site-packages/pyclip/macos_clip.py
- usr/lib/python3.9/site-packages/pyclip/util.py
- usr/lib/python3.9/site-packages/pyclip/wayland_clip.py
- usr/lib/python3.9/site-packages/pyclip/win_clip.py
- usr/lib/python3.9/site-packages/pyclip/xclip_clip.py
- usr/lib/python3.9/site-packages/pyclip-0.7.0.dist-info/METADATA
- usr/lib/python3.9/site-packages/pyclip-0.7.0.dist-info/RECORD
- usr/lib/python3.9/site-packages/pyclip-0.7.0.dist-info/WHEEL
- usr/lib/python3.9/site-packages/pyclip-0.7.0.dist-info/entry_points.txt
- usr/lib/python3.9/site-packages/pyclip-0.7.0.dist-info/top_level.txt
- usr/share/doc/pyclip-0.7.0/README.md.bz2
- var/db/pkg/dev-python/pyclip-0.7.0/BDEPEND
- var/db/pkg/dev-python/pyclip-0.7.0/BUILD_TIME
- var/db/pkg/dev-python/pyclip-0.7.0/CATEGORY
- var/db/pkg/dev-python/pyclip-0.7.0/CBUILD
- var/db/pkg/dev-python/pyclip-0.7.0/CFLAGS
- var/db/pkg/dev-python/pyclip-0.7.0/CHOST
- var/db/pkg/dev-python/pyclip-0.7.0/CONTENTS
- var/db/pkg/dev-python/pyclip-0.7.0/COUNTER
- var/db/pkg/dev-python/pyclip-0.7.0/CXXFLAGS
- var/db/pkg/dev-python/pyclip-0.7.0/DEFINED_PHASES
- var/db/pkg/dev-python/pyclip-0.7.0/DEPEND
- var/db/pkg/dev-python/pyclip-0.7.0/DESCRIPTION
- var/db/pkg/dev-python/pyclip-0.7.0/EAPI
- var/db/pkg/dev-python/pyclip-0.7.0/FEATURES
- var/db/pkg/dev-python/pyclip-0.7.0/HOMEPAGE
- var/db/pkg/dev-python/pyclip-0.7.0/INHERITED
- var/db/pkg/dev-python/pyclip-0.7.0/IUSE
- var/db/pkg/dev-python/pyclip-0.7.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/pyclip-0.7.0/KEYWORDS
- var/db/pkg/dev-python/pyclip-0.7.0/LDFLAGS
- var/db/pkg/dev-python/pyclip-0.7.0/LICENSE
- var/db/pkg/dev-python/pyclip-0.7.0/PF
- var/db/pkg/dev-python/pyclip-0.7.0/RDEPEND
- var/db/pkg/dev-python/pyclip-0.7.0/SIZE
- var/db/pkg/dev-python/pyclip-0.7.0/SLOT
- var/db/pkg/dev-python/pyclip-0.7.0/USE
- var/db/pkg/dev-python/pyclip-0.7.0/environment.bz2
- var/db/pkg/dev-python/pyclip-0.7.0/pyclip-0.7.0.ebuild
- var/db/pkg/dev-python/pyclip-0.7.0/repository
package_cacheimage: ""
runtime:
  name: pyclip
  version: 0.7.0
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Cross-platform Clipboard module for Python with binary support
  uri:
  - https://github.com/spyoungtech/pyclip https://pypi.org/project/pyclip/
  license: Apache-2.0
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/pyclip
    kit: geaaru-kit
    original.package.name: dev-python/pyclip
    original.package.slot: "0"
    original.package.version: 0.7.0
